<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

	<!-- external CSS -->
	<link rel="stylesheet" type="text/css" href="./css/style.css">
	<title>Contact Form</title>
</head>
<body>
	<div class="container">
		<div class="row d-flex flex-column justify-content-center align-items-center">
			<div class="col-md-6 my-4">
				<h3 class="text-center">Contact Form</h3>
				<form>
					<div class="form-group">
						<label for="givenname">Name: *</label>
						<input type="text" name="name" id="givenname" placeholder="Juan Dela Cruz" class="form-control" required="required" data-error="Name is required"/>
					</div>
					<div class="form-group">
						<label for="email-address">Email Address: *</label>
						<input type="email" name="email" id="email-address" placeholder="juandelacruz@example.com"class="form-control" required="required" data-error="Email Address is required"/>
					</div>
					<div class="form-group">
						<label for="contact-number">
							Contact Number: *
						</label>
						<input type="tel" name="contactdetails" pattern="[0-9]{4}-[0-9]{3}-[0-9]{4}" id="contact-number" placeholder="0917-123-4567" class="form-control" required="required" data-error="Contact Number is required"/>
					</div>
					<div class="form-group">
						<label for="concern-message">
							Concern: *
						</label>
						<select name="concern" id="concern-message" name="concern" class="form-control" required="required" data-error="Please select a concern.">
							<option>
								Reservation Inquiry
							</option>
							<option>
								General Inquiry
							</option>
							<option>
								Career Opportunities
							</option>
							<option>
								Other Concerns
							</option>
						</select>
					</div>
					<div class="form-group">
						<label for="message-area">
							Message: *
						</label>
						<textarea name="message" id="message-area" rows="4" placeholder="Type your message here..." class="form-control" required="required" data-error="Please leave us a message."></textarea>
					</div>
					<button type="button" class="btn btn-outline-primary" data-toggle="modal" data-target="#exampleModal">Submit</button>
					<button type="reset" class="btn btn-outline-danger">Reset</button>
				</form>
			</div>
		</div>
			<div id="exampleModal" tabindex="-1" aria-labelledby="exampleModallabel" aria-hidden="true" class="modal fade">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="header">
							<h5 id="exampleModallabel" class="modal-title">Thank you for contacting us!</h5>
							<button type="button" data-dismiss="modal" aria-label="Close" class="close">
									<span>&times;</span>
							</button>
							<div class="model-body">
									Message successfully sent!
							</div>
							<div class="model-footer">
								<button type="button" data-dismiss="modal" class="btn btn-secondary">Close</button>
							</div>
						</div>
					</div>
				</div>
			</div>
	</div>

	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>